using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;
using System.IO;

namespace ReflectionTest
{
    /// <summary>
    /// Dynamic Assembly loading and Execution Using Reflection
    /// Kerry Wong
    /// http://www.kerrywong.com
    /// </summary>
    class Program
    {
        public void Test()
        {
            string path = Path.Combine(Environment.CurrentDirectory, "..\\..\\..\\PlugInLib\\bin\\debug");
            string fileName = Path.Combine(path, "PlugInLib.dll");
            Assembly asm = Assembly.LoadFrom(fileName);
            Type type = asm.GetType("PlugInLib.PlugIn");
            PlugInInterface.PlugInInterface cls = Activator.CreateInstance(type) as PlugInInterface.PlugInInterface;
            cls.Test();
        }

        static void Main(string[] args)
        {
            Program p = new Program();
            p.Test();
        }
    }
}
